Badge Reference

Project Management

Project Life Cycle

Project StatusInclude Argument
project: alphaarg.projectStatus="alpha"
project: betaarg.projectStatus="beta"
project: current stablearg.projectStatus="current-stable"
project: old stablearg.projectStatus="old-stable"
project: end of lifearg.projectStatus="end-of-life"
project: unknownarg.projectStatus="unknown"

Management Life Cycle

Management StatusInclude Argument
management: previewarg.managementStatus="preview"
management: productionarg.managementStatus="production"
management: migrationarg.managementStatus="migration"
management: cleanuparg.managementStatus="cleanup"
management: unknownarg.managementStatus="unknown"

Packaging Life Cycle

Packaging StatusInclude Argument
packaging: developmentalarg.packagingStatus="developmental"
packaging: activearg.packagingStatus="active"
packaging: unsupportedarg.packagingStatus="unsupported"
packaging: unknownarg.packagingStatus="unknown"

Languages & Frameworks

Java

Java VersionInclude Argument
java: >= 5arg.javaVersion="1.5" or arg.javaVersion="5"
java: >= 6arg.javaVersion="1.6" or arg.javaVersion="6"
java: >= 7arg.javaVersion="1.7" or arg.javaVersion="7"
java: >= 8arg.javaVersion="1.8" or arg.javaVersion="8"
java: >= 9arg.javaVersion="1.9" or arg.javaVersion="9"
java: unknownarg.javaVersion="unknown"

Java EE

Java EE VersionInclude Argument
java ee: >= 5arg.javaeeVersion="5"
java ee: >= 6arg.javaeeVersion="6"
java ee: >= 7arg.javaeeVersion="7"
java ee: >= 8arg.javaeeVersion="8"
java ee: unknownarg.javaeeVersion="unknown"

ECMAScript

ECMAScript VersionInclude Argument
ecmascript: >= 3arg.ecmascriptVersion="3"
ecmascript: >= 5arg.ecmascriptVersion="5"
ecmascript: >= 2015arg.ecmascriptVersion="6" or arg.ecmascriptVersion="2015"
ecmascript: >= 2016arg.ecmascriptVersion="7" or arg.ecmascriptVersion="2016"
ecmascript: >= 2017arg.ecmascriptVersion="8" or arg.ecmascriptVersion="2017"
ecmascript: unknownarg.ecmascriptVersion="unknown"

JavaScript

JavaScript VersionInclude Argument
javascript: >= 1.5arg.javascriptVersion="1.5"
javascript: >= 1.6arg.javascriptVersion="1.6"
javascript: >= 1.7arg.javascriptVersion="1.7"
javascript: >= 1.8arg.javascriptVersion="1.8"
javascript: >= 1.8.1arg.javascriptVersion="1.8.1"
javascript: >= 1.8.5arg.javascriptVersion="1.8.5"
javascript: unknownarg.javascriptVersion="unknown"

jQuery

jQuery VersionInclude Argument
jquery: >= 1.xarg.jqueryVersion="1.x" or arg.jqueryVersion="1"
jquery: >= 2.xarg.jqueryVersion="2.x" or arg.jqueryVersion="2"
jquery: >= 3.xarg.jqueryVersion="3.x" or arg.jqueryVersion="3"
jquery: unknownarg.jqueryVersion="unknown"

Semantic Versioning

Semantic Versioning VersionInclude Argument
semantic versioning: 2.0.0arg.semanticVersioning="2.0.0"
semantic versioning: unknownarg.semanticVersioning="unknown"

Licenses

LicenseInclude Argument
license: LGPL v3arg.license="lgpl-3.0"
license: unknownarg.license="unknown"